<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imdrawcontours</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imconvexHull.html">&lt;&lt; imconvexHull</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_1aa4355ff9a84e213103262933eb8d3e.html">Structural Analysis and Shape Descriptors</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imfindcontours.html">imfindcontours &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_1aa4355ff9a84e213103262933eb8d3e.html">Structural Analysis and Shape Descriptors</a> &gt; imdrawcontours</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imdrawcontours</h1>
    <p class="refpurpose">Draw contours from the contour image.</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">So</span><span class="default"> = </span><span class="default">imdrawcontour</span><span class="default">(</span><span class="default">Sc</span><span class="default">)</span>
<span class="default">So</span><span class="default"> = </span><span class="default">imdrawcontour</span><span class="default">(</span><span class="default">Sc</span><span class="default">,</span><span class="default">colormap</span><span class="default">)</span>
<span class="default">So</span><span class="default"> = </span><span class="default">imdrawcontour</span><span class="default">(</span><span class="default">Sc</span><span class="default">,</span><span class="default">colormap</span><span class="default">,</span><span class="default">thickness</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">Sc :</span>
      <dd><p class="para">Input contour image</p></dd></dt>
   <dt><span class="term">colormap :</span>
      <dd><p class="para">Colormap used to draw the contour</p></dd></dt>
   <dt><span class="term">thickness :</span>
      <dd><p class="para">Thickness of the contours</p></dd></dt>
   <dt><span class="term">So :</span>
      <dd><p class="para">Output contours in RGB</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function used to draw the contours in RGB, with colormap and thickness.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/coins_gray.jpg</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">Sbw</span> <span class="scilaboperator">=</span> <span class="scilabid">im2bw</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabnumber">0.5</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">Sc</span> <span class="scilaboperator">=</span> <span class="scilabid">imfindContours</span><span class="scilabopenclose">(</span><span class="scilabid">Sbw</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">So</span> <span class="scilaboperator">=</span> <span class="scilabid">imdrawContours</span><span class="scilabopenclose">(</span><span class="scilabid">Sc</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">So</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="scilab://imfindContours" class="link">imfindContours</a></li>
   <li class="member"><a href="scilab://imdrawContours" class="link">imdrawContours</a></li>
   <li class="member"><a href="imconvexHull.html" class="link">imconvexHull</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>

<div class="refsection"><h3 class="title">Bibliography</h3>
   <p class="para">1. OpenCV 2.4 Online Documentation</p></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imconvexHull.html">&lt;&lt; imconvexHull</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_1aa4355ff9a84e213103262933eb8d3e.html">Structural Analysis and Shape Descriptors</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imfindcontours.html">imfindcontours &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
